package com.goafanti.Interview.service;

import com.goafanti.common.model.UserInterviewProject;

/**
 * 客户面谈项目表(UserInterviewProject)表服务接口
 *
 * @author makejava
 * @since 2025-04-11 11:02:01
 */
public interface UserInterviewProjectService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserInterviewProject queryById(Integer id);


    /**
     * 新增数据
     *
     * @param userInterviewProject 实例对象
     * @return 实例对象
     */
    UserInterviewProject insert(UserInterviewProject userInterviewProject);

    /**
     * 修改数据
     *
     * @param userInterviewProject 实例对象
     * @return 实例对象
     */
    UserInterviewProject update(UserInterviewProject userInterviewProject);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 列表数据
     *
     * @param in 参数
     * @return 是否成功
     */
    Object list(UserInterviewProject in, Integer pageNo, Integer pageSize);

}
